import { __require as u } from "./php.mjs";
import { __require as l } from "./javadoclike.mjs";
var o, t;
function s() {
  if (t)
    return o;
  t = 1;
  var n = u(), i = l();
  o = r, r.displayName = "phpdoc", r.aliases = [];
  function r(a) {
    a.register(n), a.register(i), function(e) {
      var p = /(?:\b[a-zA-Z]\w*|[|\\[\]])+/.source;
      e.languages.phpdoc = e.languages.extend("javadoclike", {
        parameter: {
          pattern: RegExp("(@(?:global|param|property(?:-read|-write)?|var)\\s+(?:" + p + "\\s+)?)\\$\\w+"),
          lookbehind: !0
        }
      }), e.languages.insertBefore("phpdoc", "keyword", {
        "class-name": [{
          pattern: RegExp("(@(?:global|package|param|property(?:-read|-write)?|return|subpackage|throws|var)\\s+)" + p),
          lookbehind: !0,
          inside: {
            keyword: /\b(?:array|bool|boolean|callback|double|false|float|int|integer|mixed|null|object|resource|self|string|true|void)\b/,
            punctuation: /[|\\[\]()]/
          }
        }]
      }), e.languages.javadoclike.addSupport("php", e.languages.phpdoc);
    }(a);
  }
  return o;
}
export {
  s as __require
};
